summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-07-04 13:02:21 +0000
committerMichał Górny <mgorny@gentoo.org>2014-07-04 13:02:21 +0000
commite6c1753ebfb0989aa853efc2c028118e4205a247 (patch)
tree1e9510424d3cf425cb3342b6a238cb5da618ece0 /eclass
parentVersion bump (diff)
downloadgentoo-2-e6c1753ebfb0989aa853efc2c028118e4205a247.tar.gz
gentoo-2-e6c1753ebfb0989aa853efc2c028118e4205a247.tar.bz2
gentoo-2-e6c1753ebfb0989aa853efc2c028118e4205a247.zip
Declare REQUIRED_USE inside MULTILIB_COMPAT conditional, reported by steev.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/multilib-build.eclass6
2 files changed, 7 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index a0f66290fbd0..02533845e4c2 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1309 2014/07/03 17:45:26 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1310 2014/07/04 13:02:21 mgorny Exp $
+
+ 04 Jul 2014; Michał Górny <mgorny@gentoo.org> multilib-build.eclass:
+ Declare REQUIRED_USE inside MULTILIB_COMPAT conditional, reported by steev.
03 Jul 2014; Fabian Groffen <grobian@gentoo.org> multilib-build.eclass:
Add some Prefix hosts to _MULTILIB_FLAGS
diff --git a/eclass/multilib-build.eclass b/eclass/multilib-build.eclass
index 533cf167c815..5d7e883c18ce 100644
--- a/eclass/multilib-build.eclass
+++ b/eclass/multilib-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.62 2014/07/03 17:45:26 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.63 2014/07/04 13:02:21 mgorny Exp $
# @ECLASS: multilib-build.eclass
# @MAINTAINER:
@@ -116,13 +116,13 @@ _multilib_build_set_globals() {
done
flags=( "${MULTILIB_COMPAT[@]}" )
+
+ REQUIRED_USE="|| ( ${flags[*]} )"
fi
local usedeps=${flags[@]/%/(-)?}
IUSE=${flags[*]}
- REQUIRED_USE="|| ( ${flags[*]} )"
-
MULTILIB_USEDEP=${usedeps// /,}
}
_multilib_build_set_globals